## python-aioinflux 0.9.0

=== Makefile ===
test:
	flake8
	pytest --verbose --cov=aioinflux --cov-append --cov-report html --cov-report term tests/

cov: test
	open htmlcov/index.html

clean:
	rm -rf build dist *.egg-info docs/_build/*
	rm -rf .cache htmlcov .coverage .pytest_cache
	rm -f .DS_Store README.html

.PHONY: docs
docs:
	rm -rf docs/_build/*
	cd docs && $(MAKE) html

build: clean test docs
	python setup.py sdist bdist_wheel

upload: build
	twine upload dist/*

upload-test: build
	twine upload --repository testpypi dist/*

readme:
	rst2html.py --stylesheet=docs/_static/rst2html.css README.rst README.html

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = aioinflux
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-aioinflux (0.9.0-2) unstable; urgency=medium

  * Mark package as team maintained

 -- Arto Jantunen <viiru@debian.org>  Fri, 12 Jun 2020 20:12:48 +0300

python-aioinflux (0.9.0-1) unstable; urgency=low

  * Initial release (Closes: #960744)

 -- Arto Jantunen <viiru@debian.org>  Fri, 29 May 2020 21:34:28 +0300

=== debian/control ===
Source: python-aioinflux
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper-compat (=12),
               dh-python,
               influxdb,
               procps,
               python3-aiohttp,
               python3-all,
               python3-ciso8601,
               python3-flake8,
               python3-flake8-docstrings,
               python3-pandas,
               python3-pep8-naming,
               python3-pygments,
               python3-pytest,
               python3-pytest-asyncio,
               python3-setuptools,
               python3-tz,
               python3-yaml,
Standards-Version: 4.5.0
Homepage: https://github.com/gusutabopb/aioinflux
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aioinflux
Vcs-Git: https://salsa.debian.org/python-team/modules/python-aioinflux.git

Package: python3-aioinflux
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-pandas, ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Asynchronous Python client for InfluxDB
 Asynchronous Python client for InfluxDB. Built on top of aiohttp and asyncio.
 Aioinflux is an alternative to the official InfluxDB Python client.
 .
 Aioinflux supports interacting with InfluxDB in a non-blocking way by using
 aiohttp. It also supports writing and querying of Pandas dataframes,
 among other handy functionality.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aioinflux
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	$(eval $@TEMPDIR := $(shell mktemp -d))
	sed "s%@TEMPDIR@%$($@TEMPDIR)%" debian/test.conf.in > $($@TEMPDIR)/influxdb.conf
	influxd -config $($@TEMPDIR)/influxdb.conf & echo $$! > $($@TEMPDIR)/influxdb.pid
	sleep 5
	dh_auto_test
	pkill -F $($@TEMPDIR)/influxdb.pid
	rm -r $($@TEMPDIR)

=== debian/watch ===
# try also https://pypi.debian.net/aioinflux/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aioinflux/aioinflux-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
